package thesis.simulation;

import java.util.List;

import thesis.tree.Body;

public final class SequentialSimulator extends Simulator {
  
  public SequentialSimulator(List<Body> bodies, int steps) {
    super(bodies, steps);
  }
  
  @Override
  protected void doCalculateForces() throws InterruptedException {
    for (Body body : bodies) {
      integrator.calculateAcceleration(body, root);
    }
  }
  
}
